import useEngineContext from "../../hooks/useEngineContext.js";
import { request } from "../../utils/index.js";
import { SalesProvider } from "./Sales/index.js";
import React from "react";
//#region src/businessModel/SalesModel/index.tsx
const SalesModel = ({ children, hooks, config }) => {
	const utils = useEngineContext().appHelper.utils || {};
	request.setRequest(utils === null || utils === void 0 ? void 0 : utils.request);
	return /* @__PURE__ */ React.createElement(SalesProvider, {
		hooks,
		config
	}, children);
};
//#endregion
export { SalesModel as default };
